Bug 76501

Summary: META: remove chromium-gpu configuration, have gpu tests run as part of regular layout tests
Product: WebKit Reporter: Dirk Pranke <dpranke>
Component: Tools / TestsAssignee: Dirk Pranke <dpranke>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, eric, jamesr, kbr, shawnsingh, tony, vangelis, zmo
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 79431, 79956, 79957, 79999, 80345, 80353, 80643    
Bug Blocks:    

Description Dirk Pranke 2012-01-17 17:19:13 PST
This is a meta-bug to track removing the separate chromium-gpu configuration from webkit. General plan of attack is:

1. add the ability to have "virtual" directories in webkit that run the tests found in other directories, but with a different configuration. For example, there might be a platform/chromium/gpu/fast/canvas that runs all of the tests in fast/canvas with the --accelerated-compositing flags passed to DRT, and looks for baselines in platform/chromium/gpu/fast/canvas before fast/canvas.

2. Populate the appropriate virtual directories and update the baselines.

3. Stop running the separate steps on the bots.

4. Remove the chromium-gpu configuration from webkitpy.layout_tests.port
Comment 1 Tony Chang 2012-01-18 11:56:27 PST
What needs to be done to make sure that webkit-patch rebaseline-expectations works and that garden-o-matic work with virtual directories?
Comment 2 Dirk Pranke 2012-01-18 13:07:16 PST
(In reply to comment #1)
> What needs to be done to make sure that webkit-patch rebaseline-expectations works and that garden-o-matic work with virtual directories?

Good question. In theory, assuming everything is following the public interface of the Port class, nothing. 
In practice, we'll see :) Hopefully it's just be some simple bugs at most.
Comment 3 Tony Chang 2012-01-18 13:57:09 PST
(In reply to comment #2)
> (In reply to comment #1)
> > What needs to be done to make sure that webkit-patch rebaseline-expectations works and that garden-o-matic work with virtual directories?
> 
> Good question. In theory, assuming everything is following the public interface of the Port class, nothing. 
> In practice, we'll see :) Hopefully it's just be some simple bugs at most.

Seems like it would be nice to know this in advance since this is one of the main motivators for getting rid of virtual directories.  *shrug*
Comment 4 Dirk Pranke 2012-01-18 14:08:43 PST
(In reply to comment #3)
> (In reply to comment #2)
> > (In reply to comment #1)
> > > What needs to be done to make sure that webkit-patch rebaseline-expectations works and that garden-o-matic work with virtual directories?
> > 
> > Good question. In theory, assuming everything is following the public interface of the Port class, nothing. 
> > In practice, we'll see :) Hopefully it's just be some simple bugs at most.
> 
> Seems like it would be nice to know this in advance since this is one of the main motivators for getting rid of virtual directories.  *shrug*

Let me rephrase my answer ... the "virtual directories" will look like regular directories to all of the tools, assuming they are being accessed through the appropriate interfaces, and as far as I know, they are. 

I don't know of a way to be sure of this, though, except to actually implement the patches and see what happens. If they are being accessed other ways as well, that will have to be fixed.
Comment 5 Dirk Pranke 2012-02-23 19:42:46 PST
Bug 79431 filed to track implementation of virtual directories / test suites.
Comment 6 Dirk Pranke 2012-02-29 16:05:40 PST
http://code.google.com/p/chromium/issues/detail?id=116332 tracks removing the webkit_gpu_tests step from the chromium bots.
Comment 7 Dirk Pranke 2012-03-05 16:56:24 PST
steps 1 and 2 are complete. Step 4 is bug 79957, bug 80345, and bug 80353.
Comment 8 Dirk Pranke 2012-03-12 18:14:56 PDT
The last vestiges are gone. Closing :).